Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.quality
Interface ConformanceResult

All Superinterfaces:
  Result

    @UML(identifier="DQ_ConformanceResult",
         specification=ISO_19115)
    public interface ConformanceResult

extends Result

Information about the outcome of evaluating the obtained value (or set of values) against a specified acceptable conformance quality level.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `getExplanation()` Explanation of the meaning of conformance for this result.
`Citation` | `getSpecification()` Citation of product specification or user requirement against which data is being evaluated.
`boolean` | `pass()` Indication of the conformance result.

Method Detail

### getSpecification

    @UML(identifier="specification",
         obligation=MANDATORY,
         specification=ISO_19115)
    Citation getSpecification()

  Citation of product specification or user requirement against which data is being evaluated.

### getExplanation

    @UML(identifier="explanation",
         obligation=MANDATORY,
         specification=ISO_19115)
    InternationalString getExplanation()

  Explanation of the meaning of conformance for this result.

### pass

    @UML(identifier="pass",
         obligation=MANDATORY,
         specification=ISO_19115)
    boolean pass()

  Indication of the conformance result.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.